Bug 108596 - [RADV] Implement a HUD for monitoring GPU/CPU loads, FPS, temperature and more
Summary: [RADV] Implement a HUD for monitoring GPU/CPU loads, FPS, temperature and more
Status: REOPENED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: 18.2
Hardware: Other All
: medium enhancement
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-30 06:41 UTC by mikhail.v.gavrilov
Modified: 2019-07-16 01:20 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2018-10-30 06:41:08 UTC
The Gallium3D Heads-Up Display (HUD) not available under Vulkan.

I want monitoring GPU information for DXVK and native vulkan games.

GALLIUM_HUD=GPU-load+cpu+fps+temperature %command%
Comment 1 Samuel Pitoiset 2018-10-30 11:40:23 UTC
I have an experimental branch but it still requires a bunch of work, and I wouldn't recommend you to use it currently. Anyway, this is on our todolist for a long time.

https://cgit.freedesktop.org/~hakzsam/mesa/log/?h=radv_hud
Comment 2 Shmerl 2019-02-08 18:22:17 UTC
(In reply to Samuel Pitoiset from comment #1)
> I have an experimental branch but it still requires a bunch of work, and I
> wouldn't recommend you to use it currently. Anyway, this is on our todolist
> for a long time.
> 
> https://cgit.freedesktop.org/~hakzsam/mesa/log/?h=radv_hud

Is your branch usable as is? Looks like it's missing radv_hud.c which makes it non buildable.
Comment 3 Eric Engestrom 2019-03-31 11:14:33 UTC
Lionel has written an overlay for vulkan, see https://gitlab.freedesktop.org/mesa/mesa/merge_requests/139

It has landed, so you can use it on Mesa master, and it will be in the 19.1 release (it might be in the 19.0 release already, not sure and I can't check from my phone).

Build it by setting `-D vulkan-overlay-layer=true`, and see src/vulkan/overlay-layer/README for instructions on how to use it:
https://gitlab.freedesktop.org/mesa/mesa/blob/master/src/vulkan/overlay-layer/README
Comment 4 mikhail.v.gavrilov 2019-03-31 12:01:46 UTC
[mikhail@localhost mesa]$ git branch -r --contains 20c370c6
  origin/HEAD -> origin/master
  origin/fast-color-clear
  origin/master

looks like it merged only in master
Comment 5 Samuel Pitoiset 2019-04-01 07:16:03 UTC
The Vulkan overlay still doesn't allow to monitor GPU load/temperature, etc (as requested). We need a new extension for that.
Comment 6 Lionel Landwerlin 2019-04-01 08:44:22 UTC
(In reply to Samuel Pitoiset from comment #5)
> The Vulkan overlay still doesn't allow to monitor GPU load/temperature, etc
> (as requested). We need a new extension for that.

There is still an MR that brings new data (like pipeline statistics & timestamps) : https://gitlab.freedesktop.org/mesa/mesa/merge_requests/353

A delta(timestamps) / amount_of_time_per_frame would give a rough estimate of GPU utilization by the app.

For temperature we'll need another extension indeed.
Comment 7 Samuel Pitoiset 2019-04-01 08:46:47 UTC
Yeah, and the plan is to expose more driver queries in the future, like what the GALLIUM_HUD actually does.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.